#### D.2.3.18 primecoeffs

Procedure from library `general.lib` (see general_lib).

Usage:
  primecoeffs(J[,p]); J any type which can be converted to a matrix e.g. ideal, matrix, vector, module, int, intvec
  p = integer

Compute:
  primefactors <= p of coeffs of J (default p = 32003)

Return:
  a list, say l, of two intvectors:
  l[1] : the different primefactors of all coefficients of J
  l[2] : the different remaining factors

Example:

    LIB "general.lib";
    primecoeffs(intvec(7*8*121,7*8));"";
    ==> [1]:
    ==>    2,7,11
    ==> [2]:
    ==>    1
    ==>
    ring r = 0,(b,c,t),dp;
    ideal I = -13b6c3t+4b5c4t,-10b4c2t-5b4ct2;
    primecoeffs(I);
    ==> [1]:
    ==>    2,5,13
    ==> [2]:
    ==>    _[1]=-1
    ==>    _[2]=1

User manual for Singular version 4.4.1, 2025, generated by texi2html.